Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface NetworkAccessPointMBean

public interface NetworkAccessPointMBean
extends ConfigurationMBean

A server can fine-tune its network channel settings by using a NetworkAccessPointMBean. The NetworkAccessPointMBean is also used to set the listen address and external DNS name that a server uses for a particular channel.

See Also:
  `NetworkChannelMBean`, `ServerMBean.getNetworkAccessPoints()`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getAcceptBacklog()` Allowed backlog of connection requests on the listen port.
`int` | `getCompleteCOMMessageTimeout()` The maximum number of seconds spent waiting for a complete COM message to be received.
`int` | `getCompleteHTTPMessageTimeout()` The maximum number of seconds spent waiting for a complete HTTP message to be received.
`int` | `getCompleteT3MessageTimeout()` The maximum number of seconds spent waiting for a complete T3 message to be received.
`java.lang.String` | `getListenAddress()` A value of null indicates that this value is inherited from the server.
`int` | `getListenPort()` The plaintext (non-SSL) listen port for the channel.
`int` | `getLoginTimeoutMillis()` The login timeout for the server, in milliseconds.
`int` | `getLoginTimeoutMillisSSL()` Duration allowed for an SSL login sequence.
`int` | `getSSLListenPort()` The SSL listen port for the channel.
`int` | `getTunnelingClientPingSecs()` Interval (in seconds) at which to ping an http-tunneled client to see if its still alive.
`int` | `getTunnelingClientTimeoutSecs()` Duration (in seconds) after which a missing http-tunneled client is considered dead.
`void` | `setAcceptBacklog(int count)`
`void` | `setCompleteCOMMessageTimeout(int seconds)`
`void` | `setCompleteHTTPMessageTimeout(int seconds)`
`void` | `setCompleteIIOPMessageTimeout(int seconds)`
`void` | `setCompleteT3MessageTimeout(int seconds)`
`void` | `setExternalDNSName(java.lang.String externalDNSName)`
`void` | `setIdleIIOPConnectionTimeout(int seconds)`
`void` | `setListenAddress(java.lang.String address)`
`void` | `setListenPort(int port)`
`void` | `setLoginTimeoutMillis(int timeout)`
`void` | `setLoginTimeoutMillisSSL(int millis)`
`void` | `setSSLListenPort(int port)`
`void` | `setTunnelingClientPingSecs(int secs)`
`void` | `setTunnelingClientTimeoutSecs(int secs)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getListenAddress

    public java.lang.String getListenAddress()

  A value of null indicates that this value is inherited from the server.

  Default Value: null
  See Also:
    `ServerMBean.getListenAddress()`

### setListenAddress

    public void setListenAddress(java.lang.String address)
                          throws javax.management.InvalidAttributeValueException

### setExternalDNSName

    public void setExternalDNSName(java.lang.String externalDNSName)
                            throws javax.management.InvalidAttributeValueException

### getListenPort

    public int getListenPort()

  The plaintext (non-SSL) listen port for the channel. -1 implies that this value is inherited from the channel.

  Default Value: -1
  Legal Value: (value == -1 || (value >= 1 && value <= 65534))
  See Also:
    `NetworkChannelMBean.getListenPort()`

### setListenPort

    public void setListenPort(int port)
                       throws javax.management.InvalidAttributeValueException

### getSSLListenPort

    public int getSSLListenPort()

  The SSL listen port for the channel. -1 implies that this value is inherited from the channel.

  Default Value: -1
  Legal Value: (value == -1 || (value >= 1 && value <= 65534))
  See Also:
    `NetworkChannelMBean.getSSLListenPort()`

### setSSLListenPort

    public void setSSLListenPort(int port)
                          throws javax.management.InvalidAttributeValueException

### getAcceptBacklog

    public int getAcceptBacklog()

  Allowed backlog of connection requests on the listen port. -1 implies that this value is inherited from the channel.

  Default Value: -1
  Legal Minimum Value: -1
  See Also:
    `NetworkChannelMBean.getAcceptBacklog()`

### setAcceptBacklog

    public void setAcceptBacklog(int count)
                          throws javax.management.InvalidAttributeValueException

### getLoginTimeoutMillis

    public int getLoginTimeoutMillis()

  The login timeout for the server, in milliseconds. This value must be equal to or greater than 0. -1 implies that this value is inherited from the channel.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 100000
  See Also:
    `NetworkChannelMBean.getLoginTimeoutMillis()`

### setLoginTimeoutMillis

    public void setLoginTimeoutMillis(int timeout)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

### getLoginTimeoutMillisSSL

    public int getLoginTimeoutMillisSSL()

  Duration allowed for an SSL login sequence. If the duration is exceeded, the login is timed out. 0 to disable. -1 implies that this value is inherited from the channel.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  See Also:
    `NetworkChannelMBean.getLoginTimeoutMillisSSL()`

### setLoginTimeoutMillisSSL

    public void setLoginTimeoutMillisSSL(int millis)
                                  throws javax.management.InvalidAttributeValueException

### getTunnelingClientPingSecs

    public int getTunnelingClientPingSecs()

  Interval (in seconds) at which to ping an http-tunneled client to see if its still alive. -1 implies that this value is inherited from the channel.

  Default Value: -1
  Legal Value: (value == -1 || value > 0)
  See Also:
    `NetworkChannelMBean.getTunnelingClientPingSecs()`

### setTunnelingClientPingSecs

    public void setTunnelingClientPingSecs(int secs)
                                    throws javax.management.InvalidAttributeValueException

### getTunnelingClientTimeoutSecs

    public int getTunnelingClientTimeoutSecs()

  Duration (in seconds) after which a missing http-tunneled client is considered dead. -1 implies that this value is inherited from the channel.

  Default Value: -1
  Legal Value: (value == -1 || value > 0)
  See Also:
    `NetworkChannelMBean.getTunnelingClientTimeoutSecs()`

### setTunnelingClientTimeoutSecs

    public void setTunnelingClientTimeoutSecs(int secs)
                                       throws javax.management.InvalidAttributeValueException

### getCompleteT3MessageTimeout

    public int getCompleteT3MessageTimeout()

  The maximum number of seconds spent waiting for a complete T3 message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. -1 implies that this value is inherited from the channel.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 480
  See Also:
    `NetworkChannelMBean.getCompleteT3MessageTimeout()`

### setCompleteT3MessageTimeout

    public void setCompleteT3MessageTimeout(int seconds)
                                     throws javax.management.InvalidAttributeValueException,
                                            DistributedManagementException

### getCompleteHTTPMessageTimeout

    public int getCompleteHTTPMessageTimeout()

  The maximum number of seconds spent waiting for a complete HTTP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. -1 implies that this value is inherited from the channel.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 480
  See Also:
    `NetworkChannelMBean.getCompleteHTTPMessageTimeout()`

### setCompleteHTTPMessageTimeout

    public void setCompleteHTTPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

### getCompleteCOMMessageTimeout

    public int getCompleteCOMMessageTimeout()

  The maximum number of seconds spent waiting for a complete COM message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. -1 implies that this value is inherited from the channel.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 480
  See Also:
    `NetworkChannelMBean.getCompleteCOMMessageTimeout()`

### setCompleteCOMMessageTimeout

    public void setCompleteCOMMessageTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

### setCompleteIIOPMessageTimeout

    public void setCompleteIIOPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

### setIdleIIOPConnectionTimeout

    public void setIdleIIOPConnectionTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference